package shef.dcs.cashews.parts;

import org.eclipse.gef.EditPart;
import org.eclipse.gef.EditPartFactory;

import shef.dcs.cashews.model.Diagram;
import shef.dcs.cashews.model.Node;


// an EditPartFactory knows how to make an EditPart from a model object
// in the context of a parent EditPart

public class PartFactory implements EditPartFactory {

   //------------------------------------------------------------------------
   // Abstract methods from EditPartFactory

   public EditPart createEditPart(EditPart context, Object model) {
      EditPart part = null;

      if (model instanceof Diagram) {
         part = new DiagramPart();
      }

      if (model instanceof Node) {
         part = new NodePart();
      }

      // tell the newly created part about the model object         
      part.setModel(model);
      
      return part;      
   }
}